# Interface MergableObjectRemoteEventArgs<T>

Represents event for change in remote object.

interface MergableObjectRemoteEventArgs<T> {
conflictReason: MergableObjectConflict;
eventSource: Remote;
local: T;
remote?: T;
state: MergableObjectState;
}

#### Type Parameters

- T

##### Index

### Properties

conflictReason
eventSource
local
remote?
state

## Properties

### `Readonly` conflictReason

conflictReason: MergableObjectConflict

Describes conflict reason (if any).

### `Readonly` eventSource

eventSource: Remote

Determines if the event was raised due to a change in the local or a remote object. Use in discriminant union checks to get type guard.

### `Readonly` local

local: T

Local representation of the object.

### `Optional` `Readonly` remote

remote?: T

Remote representation of object. If remote has been deleted then it will be undefined.

### `Readonly` state

state: MergableObjectState

State of the local object.